# This package is intended for RHEL and Fedora, where wv2 package does not exist at all.

%define _prefix /usr
%define _docdir %{_datadir}/doc

Name:           wv2
Version:        0.4.2
Release:        2%{?dist}
Summary:        A library which allows access to Microsoft Word files

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://wvware.sourceforge.net
Source0:        http://downloads.sourceforge.net/sourceforge/wvware/wv2-0.4.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:			wv2-0.4.2-ftbfs_cmake3.patch

Patch2:			wv2-0.4.0-extra_libs.patch
Patch3:			wv2-0.4.2-linkage.patch

# Patches from Debian package
Patch4:			wv2-0.4.2-glib-2.32-compat.patch
Patch5:			buffer-overflow.patch
Patch6:			support-endnotes.patch

Obsoletes:		trinity-wv2 < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:		trinity-wv2 = %{?epoch:%{epoch}:}%{version}-%{release}

BuildRequires:	gcc-c++
BuildRequires:	trinity-cmake >= %{tde_version}
BuildRequires:	libgsf-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	zlib-devel

%if 0%{?mdkver} >= 5000000
BuildRequires:	locales-extra-charsets
%endif

%description
wv is a library which allows access to Microsoft Word files. It can load and
parse Word 2000, 97, 95 and 6 file formats. (These are the file formats known
internally as Word 9, 8, 7 and 6.) There is some support for reading earlier
formats as well: Word 2 docs are converted to plaintext. 

%package devel
Summary:        Development tools for programs which will use the wv2 library
Group:          Development/Libraries
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       libgsf-devel
Requires:       glib2-devel
Requires:       libxml2-devel

Obsoletes:		trinity-wv2-devel < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:		trinity-wv2-devel = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel 
The wv2-devel package includes the header files necessary for developing.

##########

%if 0%{?suse_version} || 0%{?pclinuxos}
%debug_package
%endif

##########

%prep
%setup -q -n wv2-%{version}

%patch -P 1 -p1 -b .cmake
%patch -P 2 -p1 -b .extra_libs
%patch -P 3 -p0
%patch -P 4 -p1 -b .glib
%patch -P 5 -p1 -b .buffer
%patch -P 6 -p1 -b .endnotes

%build
if ! rpm -E %%cmake|grep -e 'cd build\|cd ${CMAKE_BUILD_DIR:-build}'; then
  %__mkdir_p build
  cd build
fi

if [ -d /usr/include/libxml2 ]; then
  export CXXFLAGS="${RPM_OPT_FLAGS} -I/usr/include/libxml2"
fi

%cmake \
  -DICONV_INCLUDE=DIR=/usr/include \
  -DWITH_ZLIB=ON \
  ..

%__make %{?_smp_mflags}


%install
%__rm -rf %{buildroot}
%__make install DESTDIR=%{buildroot} -C build

# unpackaged files
rm -fv %{buildroot}%{_libdir}/*.la


%check
pushd build
# checks currently fail on ppc64, appears to be a toolchain prob
%ifarch ppc64
make -k test -C ||:
%else
make -k test
%endif
popd


%clean
%__rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB README RELEASE THANKS TODO
%{_libdir}/libwv2.so.4*
%dir %{_libdir}/wvWare/

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/wv2-config
%{_libdir}/libwv2.so
%{_libdir}/wvWare/*.cmake
%{_includedir}/wv2/


%changelog
